#@TYPE: Distribution
#@NAME: Nylon Linux
#@DESCRIPTION: Distribution configuration for Nylon Mesh Linux distribution

# this distribution is mainly for wireless networking devices and includes
# packages necessary for wireless LAN access point, routing, encryption and 
# especially mesh routing applications
#
# it is primarily aimed at the 4G Systems MeshCube (mtx-1) and other 
# mipsel based platforms
#
# Bruno Randolf <bruno.randolf@4g-systems.biz>

TARGET_OS = "linux"

INHERIT += "package_ipk debian nylon-mirrors"
INHERIT += "linux-kernel-base"

PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}g++:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}libc-for-gcc:glibc"
PREFERRED_PROVIDERS += " virtual/libx11:diet-x11"
PREFERRED_PROVIDERS += " python:python-curses"
PREFERRED_PROVIDER_classpath = "classpath-minimal"

TARGET_FPU = "soft"

SRCDATE := "20050527"

PREFERRED_VERSION_glibc = "2.3.3"
PREFERRED_VERSION_shorewall = "2.0.9-monolithic"
PREFERRED_VERSION_ppp-dsl = "0.1-monolithic"
PREFERRED_VERSION_mtd-utils = "0.0.0+cvs20060223"
PREFERRED_VERSION_kismet = "2005-01-R1"

PREFERRED_VERSION_gcc-cross-initial = "3.3.4"
PREFERRED_VERSION_gcc-cross = "3.3.4"
PREFERRED_VERSION_gcc-cross-sdk = "3.3.4" 
PREFERRED_VERSION_gcc = "3.3.4"
PREFERRED_VERSION_binutils-cross = "2.14.90.0.7"
PREFERRED_VERSION_binutils-cross-sdk = "2.14.90.0.7"
PREFERRED_VERSION_binutils = "2.16"
PREFERRED_VERSION_linux-libc-headers = "2.6.18"

PREFERRED_VERSION_prism54-firmware = "1.0.3.0"

KERNEL_VERSION_mtx-1 = "2.4.27"
KERNEL_VERSION_mtx-2 = "2.4.27"

#PREFERRED_VERSION_glibc_mtx-3 = "2.3.5+cvs20050627"
PREFERRED_VERSION_gcc-cross-initial_mtx-3 = "3.4.4"
PREFERRED_VERSION_gcc-cross_mtx-3 = "3.4.4"
PREFERRED_VERSION_gcc-cross-sdk_mtx-3 = "3.4.4" 
PREFERRED_VERSION_gcc_mtx-3 = "3.4.4"
### did not compile with:
#PREFERRED_VERSION_binutils-cross_mtx-3 = "2.16.91.0.7"
#PREFERRED_VERSION_binutils-cross-sdk_mtx-3 = "2.16.91.0.7"
### falling back to:
PREFERRED_VERSION_binutils-cross_mtx-3 = "2.15.94.0.1"
PREFERRED_VERSION_binutils-cross-sdk_mtx-3 = "2.15.94.0.1"
PREFERRED_VERSION_binutils_mtx-3 = "2.16"
PREFERRED_VERSION_madwifi-modules = "0.9.3"
PREFERRED_VERSION_madwifi-tools = "0.9.3"

PREFERRED_VERSION_udev = "089"

KERNEL_VERSION_mtx-3 = "2.6.15.4"
PREFERRED_PROVIDER_virtual/kernel_mtx-3a = "linux-mtx-3a"


#PREFERRED_VERSION_glibc_mtx-3a = "2.3.5+cvs20050627"
PREFERRED_VERSION_gcc-cross-initial_mtx-3a = "3.4.4"
PREFERRED_VERSION_gcc-cross_mtx-3a = "3.4.4"
PREFERRED_VERSION_gcc-cross-sdk_mtx-3a = "3.4.4" 
PREFERRED_VERSION_gcc_mtx-3a = "3.4.4"
### did not compile with:
#PREFERRED_VERSION_binutils-cross_mtx-3a = "2.16.91.0.7"
#PREFERRED_VERSION_binutils-cross-sdk_mtx-3a = "2.16.91.0.7"
### falling back to:
PREFERRED_VERSION_binutils-cross_mtx-3a = "2.15.94.0.1"
PREFERRED_VERSION_binutils-cross-sdk_mtx-3a = "2.15.94.0.1"
PREFERRED_VERSION_binutils_mtx-3a = "2.16"

PREFERRED_VERSION_udev = "100"

KERNEL_VERSION_mtx-3a = "2.6.16.6"


# usually overrrided from local.conf
NYLON_RELEASE = "unstable"

# use meshcub.org mirrors for CVS sources
CVS_TARBALL_STASH = "http://meshcube.org/nylon/${NYLON_RELEASE}/sources/"

export FEED_URIS = " \
        nylon##http://meshcube.org/nylon/${NYLON_RELEASE}/feed \
        nylon-bin##http://meshcube.org/nylon/${NYLON_RELEASE}/binary-feed"

# image names
DISTRO_VERSION = "${NYLON_VERSION}"
BUILDNAME := "${NYLON_VERSION}"
#this does not work: ${@base_read_file('${STAGING_DIR}/${HOST_SYS}/kernel/kernel-abiversion')}
IMAGE_NAME = "${IMAGE_BASENAME}-${MACHINE}_${BUILDNAME}"
KERNEL_IMAGE_NAME = "kernel-${KERNEL_VERSION}-${MACHINE}_${BUILDNAME}"

